[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TListColumns.Destroy

Destructor for the class instance.

## Declaration

Source position: comctrls.pp line 1275

`public destructor TListColumns.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. It ensures that BeginUpdate and EndUpdate are used to enclose actions performed in the method. Destroy calls the inherited destructor to clear and free the internal storage for the collection.

## See also

TCollection.Destroy
TCollection.BeginUpdate
TCollection.EndUpdate